Skip to content

# Module: "renderer-api/navigation"

## Index

### Interfaces

- IURLParams

### Functions

- getDetailsUrl
- hideDetails
- navigate
- showDetails

## Functions

### getDetailsUrl

▸ getDetailsUrl(`details`: string): string

Defined in src/renderer/navigation.ts:71

Parameters:

Name | Type
--- | ---
`details` | string

Returns: string

### hideDetails

▸ hideDetails(): void

Defined in src/renderer/navigation.ts:93

Hide details. Works only in renderer.

Returns: void

### navigate

▸ navigate(`location`: LocationDescriptor): void

Defined in src/renderer/navigation.ts:17

Navigate to a location. Works only in renderer.

Parameters:

Name | Type
--- | ---
`location` | LocationDescriptor

Returns: void

### showDetails

▸ showDetails(`path`: string, `resetSelected`: boolean): void

Defined in src/renderer/navigation.ts:83

Show details. Works only in renderer.

Parameters:

Name | Type | Default
--- | --- | ---
`path` | string | -
`resetSelected` | boolean | true

Returns: void